Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.model.api.simpleapi
Interface IReportDesign

All Superinterfaces:
  IDesignElement

    public interface IReportDesign

extends IDesignElement

Script wrapper of ReportDesignHandle

Method Summary
`IAction` | `createAction()` Creates the action structure.
`IDataBinding` | `createDataBinding()` Create `IDataBinding`
`IFilterCondition` | `createFilterCondition()` Create `IFilterCondition`
`IHideRule` | `createHideRule()` Create IHideRule instance
`IHighlightRule` | `createHighLightRule()` Create IHighLightRule
`ISortCondition` | `createSortCondition()` Create ISortCondition
`IDataItem` | `getDataItem(java.lang.String name)` method to get a data item by name
`IDataSet` | `getDataSet(java.lang.String name)` method to get data set design by name
`IDataSource` | `getDataSource(java.lang.String name)` method to get data source design by name
`java.lang.String` | `getDisplayName()` Gets the display name.
`java.lang.String` | `getDisplayNameKey()` Gets the resource key of the display name.
`IDynamicText` | `getDynamicText(java.lang.String name)` method to get a dynamic text data item by name.
`IGrid` | `getGrid(java.lang.String name)` method to get a grid item by name
`IImage` | `getImage(java.lang.String name)` mathod to get a Image item by name
`ILabel` | `getLabel(java.lang.String name)` method to get a label item by name
`IList` | `getList(java.lang.String name)` method to get a list item by name
`IMasterPage` | `getMasterPage(java.lang.String name)` Gets master page script instance.
`IReportElement` | `getReportElement(java.lang.String name)` generic method to get report item by name
`IReportElement` | `getReportElementByID(long id)` generic method to get report item by id
`ITable` | `getTable(java.lang.String name)` method to get a table item by name
`ITextItem` | `getTextItem(java.lang.String name)` method to get a text item by name
`java.lang.String` | `getTheme()` Gets the theme for this report design.
`void` | `save()` Saves the module to an existing file name.
`void` | `saveAs(java.lang.String newName)` Saves the design to the file name provided.
`void` | `setDisplayName(java.lang.String displayName)` Sets the display name.
`void` | `setDisplayNameKey(java.lang.String displayNameKey)` Sets the resource key of the display name.
`void` | `setTheme(java.lang.String theme)` Sets the theme for this report design.

Methods inherited from interface org.eclipse.birt.report.model.api.simpleapi.IDesignElement
`getNamedExpression, getParent, getQualifiedName, getReport, getStyle, getUserProperty, getUserPropertyExpression, setNamedExpression, setUserProperty, setUserProperty`

Method Detail

### getMasterPage

    IMasterPage getMasterPage(java.lang.String name)

  Gets master page script instance.

  Parameters:
    `name` -
  Returns:
    master page script instance

### getDataSet

    IDataSet getDataSet(java.lang.String name)

  method to get data set design by name

  Parameters:
    `name` -
  Returns:
    data set

### getDataSource

    IDataSource getDataSource(java.lang.String name)

  method to get data source design by name

  Parameters:
    `name` -
  Returns:
    data source

### getReportElement

    IReportElement getReportElement(java.lang.String name)

  generic method to get report item by name

  Parameters:
    `name` -
  Returns:
    report element

### getLabel

    ILabel getLabel(java.lang.String name)

  method to get a label item by name

  Parameters:
    `name` -
  Returns:
    label

### getGrid

    IGrid getGrid(java.lang.String name)

  method to get a grid item by name

  Parameters:
    `name` -
  Returns:
    grid

### getImage

    IImage getImage(java.lang.String name)

  mathod to get a Image item by name

  Parameters:
    `name` -
  Returns:
    iamge

### getList

    IList getList(java.lang.String name)

  method to get a list item by name

  Parameters:
    `name` -
  Returns:
    list

### getTable

    ITable getTable(java.lang.String name)

  method to get a table item by name

  Parameters:
    `name` -
  Returns:
    table

### getDynamicText

    IDynamicText getDynamicText(java.lang.String name)

  method to get a dynamic text data item by name.

  Parameters:
    `name` -
  Returns:
    text data

### getDataItem

    IDataItem getDataItem(java.lang.String name)

  method to get a data item by name

  Parameters:
    `name` -
  Returns:
    data item

### getTextItem

    ITextItem getTextItem(java.lang.String name)

  method to get a text item by name

  Parameters:
    `name` -
  Returns:
    text item

### setDisplayNameKey

    void setDisplayNameKey(java.lang.String displayNameKey)
                           throws SemanticException

  Sets the resource key of the display name.

  Parameters:
    `displayNameKey` - the resource key of the display name
  Throws:
    `SemanticException` - if the display name resource-key property is locked or not defined on this element.

### getDisplayNameKey

    java.lang.String getDisplayNameKey()

  Gets the resource key of the display name.

  Returns:
    the resource key of the display name

### setDisplayName

    void setDisplayName(java.lang.String displayName)
                        throws SemanticException

  Sets the display name.

  Parameters:
    `displayName` - the display name
  Throws:
    `SemanticException` - if the display name property is locked or not defined on this element.

### getDisplayName

    java.lang.String getDisplayName()

  Gets the display name.

  Returns:
    the display name

### save

    void save()
              throws java.io.IOException

  Saves the module to an existing file name. Call this only when the file name has been set.

  Throws:
    `java.io.IOException` - if the file cannot be saved on the storage. Or the file name is not valid.
  See Also:
    `saveAs(String)`

### saveAs

    void saveAs(java.lang.String newName)
                throws java.io.IOException

  Saves the design to the file name provided. The file name is saved in the design, and subsequent calls to `save( )` will save to this new name.

  Parameters:
    `newName` - the new file name
  Throws:
    `java.io.IOException` - if the file cannot be saved. Or the file name is not valid.
  See Also:
    `save()`

### getTheme

    java.lang.String getTheme()

  Gets the theme for this report design.

  Returns:
    the theme for this report design.

### setTheme

    void setTheme(java.lang.String theme)
                  throws SemanticException

  Sets the theme for this report design.

  Parameters:
    `theme` -
  Throws:
    `SemanticException`

### getReportElementByID

    IReportElement getReportElementByID(long id)

  generic method to get report item by id

  Parameters:
    `name` -
  Returns:
    report element

### createFilterCondition

    IFilterCondition createFilterCondition()

  Create `IFilterCondition`

  Returns:
    instance

### createHideRule

    IHideRule createHideRule()

  Create IHideRule instance

  Returns:
    IHideRule

### createHighLightRule

    IHighlightRule createHighLightRule()

  Create IHighLightRule

  Returns:
    instance

### createSortCondition

    ISortCondition createSortCondition()

  Create ISortCondition

  Returns:
    instance

### createAction

    IAction createAction()

  Creates the action structure.

  Parameters:
    `action` - the structure handle
    `handle` - the element handle that holds the action structure
  Returns:
    the action

### createDataBinding

    IDataBinding createDataBinding()

  Create `IDataBinding`

  Returns:
    instance

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.